com.hazelcast.config

## Class DiscoveryConfigReadOnly

- java.lang.Object
- - com.hazelcast.config.DiscoveryConfig
  - - com.hazelcast.config.DiscoveryConfigReadOnly

- Deprecated.
  this class will be removed in 4.0; it is meant for internal usage only.

      public class DiscoveryConfigReadOnly
      extends DiscoveryConfig

  Readonly version of `DiscoveryConfig`

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDiscoveryStrategyConfig(DiscoveryStrategyConfig discoveryStrategyConfig)` Deprecated. Adds an enabled `DiscoveryStrategy` configuration.
    `void` | `setDiscoveryServiceProvider(DiscoveryServiceProvider discoveryServiceProvider)` Deprecated.
    `void` | `setDiscoveryStrategyConfigs(List<DiscoveryStrategyConfig> discoveryStrategyConfigs)` Deprecated.
    `void` | `setNodeFilter(NodeFilter nodeFilter)` Deprecated.
    `void` | `setNodeFilterClass(String nodeFilterClass)` Deprecated.

    - ### Methods inherited from class com.hazelcast.config.DiscoveryConfig

      `getAsReadOnly, getDiscoveryServiceProvider, getDiscoveryStrategyConfigs, getNodeFilter, getNodeFilterClass, isEnabled, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### setDiscoveryServiceProvider

          public void setDiscoveryServiceProvider(DiscoveryServiceProvider discoveryServiceProvider)

      Deprecated.
      Overrides:
        `setDiscoveryServiceProvider` in class `DiscoveryConfig`

    - #### setNodeFilter

          public void setNodeFilter(NodeFilter nodeFilter)

      Deprecated.
      Overrides:
        `setNodeFilter` in class `DiscoveryConfig`

    - #### setNodeFilterClass

          public void setNodeFilterClass(String nodeFilterClass)

      Deprecated.
      Overrides:
        `setNodeFilterClass` in class `DiscoveryConfig`

    - #### addDiscoveryStrategyConfig

          public void addDiscoveryStrategyConfig(DiscoveryStrategyConfig discoveryStrategyConfig)

      Deprecated.
      Description copied from class: `DiscoveryConfig`
      Adds an enabled `DiscoveryStrategy` configuration.

      All added configurations are strictly meant to be enabled, this is to remember when building custom `Config` instances.

      Overrides:
        `addDiscoveryStrategyConfig` in class `DiscoveryConfig`
      Parameters:
        `discoveryStrategyConfig` - the `DiscoveryStrategyConfig` to add

    - #### setDiscoveryStrategyConfigs

          public void setDiscoveryStrategyConfigs(List<DiscoveryStrategyConfig> discoveryStrategyConfigs)

      Deprecated.
      Overrides:
        `setDiscoveryStrategyConfigs` in class `DiscoveryConfig`

Copyright © 2018. All rights reserved.